Overview | Modules | Class Hierarchy | Classes | Members

# ParametricCurves.h File Reference

`#include <vector>`
`#include "tulip/Coord.h"`

Include dependency graph for ParametricCurves.h:

## Namespaces

- namespace tlp

## Functions

- TLP_GL_SCOPE Coord tlp::computeBezierPoint (const std::vector< Coord > &controlPoints, const float t)
- TLP_GL_SCOPE void tlp::computeBezierPoints (const std::vector< Coord > &controlPoints, std::vector< Coord > &curvePoints, const unsigned int nbCurvePoints=100)
- TLP_GL_SCOPE Coord tlp::computeCatmullRomPoint (const std::vector< Coord > &controlPoints, const float t, const bool closedCurve=false, const float alpha=0.5)
- TLP_GL_SCOPE void tlp::computeCatmullRomPoints (const std::vector< Coord > &controlPoints, std::vector< Coord > &curvePoints, const bool closedCurve=false, const unsigned int nbCurvePoints=100, const float alpha=0.5)
- TLP_GL_SCOPE Coord tlp::computeOpenUniformBsplinePoint (const std::vector< Coord > &controlPoints, const float t, const unsigned int curveDegree=3)
- TLP_GL_SCOPE void tlp::computeOpenUniformBsplinePoints (const std::vector< Coord > &controlPoints, std::vector< Coord > &curvePoints, const unsigned int curveDegree=3, const unsigned int nbCurvePoints=100)

Tulip Software by LaBRI Visualization Team 2001 - 2010